Package waffle.windows.auth.impl

## Class WindowsIdentityImpersonationContextImpl

- java.lang.Object
- - waffle.windows.auth.impl.WindowsIdentityImpersonationContextImpl

All Implemented Interfaces:
  `IWindowsImpersonationContext`

    public class WindowsIdentityImpersonationContextImpl
    extends Object
    implements IWindowsImpersonationContext

The Class WindowsIdentityImpersonationContextImpl.

Author:
  dblock[at]dblock[dot]org

### Constructor Summary

Constructors
`WindowsIdentityImpersonationContextImpl​(com.sun.jna.platform.win32.WinNT.HANDLE windowsIdentity)` Impersonate a logged on user.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `revertToSelf()` Terminate the impersonation of a client application.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WindowsIdentityImpersonationContextImpl

    public WindowsIdentityImpersonationContextImpl​(com.sun.jna.platform.win32.WinNT.HANDLE windowsIdentity)

Impersonate a logged on user.

Parameters:
  `windowsIdentity` - Windows identity obtained via LogonUser.

### Method Detail

#### revertToSelf

    public void revertToSelf()

Description copied from interface: `IWindowsImpersonationContext`
Terminate the impersonation of a client application.

Specified by:
  `revertToSelf` in interface `IWindowsImpersonationContext`